#!/usr/bin/perl

#
# populate the DBReview component from the XReview2 component database
# just for testing !
# 

use DBBuilder;

sub refill
{
   my $db = new DBBuilder;
   
   $db->zap;
   
   # go through old database   
   my $dbh2 = DBI->connect ('DBI:mysql:jeric3', 'hussein', '');
   my $sth = $dbh2->prepare ('select identifier,metadata from jericxreview');
   $sth->execute;
   while ( my $rowref = $sth->fetchrow_hashref )
   {
      my $record = $rowref->{'metadata'};
#      print $record."\n";
      my $identifier = $rowref->{'identifier'};
      print $identifier."\n";
      
      $db->add ($record, $identifier);
      
   }
   $sth->finish;
   $dbh2->disconnect;
   
   $db->dispose;
}

sub report
{
   my $db = new DBBuilder;
#   $db->getUserSummary ('oai:jericuser:17', 1, 10);
#   $db->getUserSummary ($ARGV[0], $ARGV[1], $ARGV[2]);
#   $db->getResourceSummary ($ARGV[0], $ARGV[1], $ARGV[2]);
#   $db->getChildren ($ARGV[0], $ARGV[1], $ARGV[2]);
#   $db->getOpen ($ARGV[0], $ARGV[1]);
   $db->getSubmitted ($ARGV[0], $ARGV[1], $ARGV[2]);
   $db->dispose;
}

sub main
{
#   refill;
   report;
}

main;
